public inbox for cygwin@cygwin.com
 help / color / mirror / Atom feed
* Problem with ssh-copy-id when home folder contains spaces
@ 2016-03-11 21:38 darkdragon
  2016-03-12 19:45 ` Corinna Vinschen
  0 siblings, 1 reply; 3+ messages in thread
From: darkdragon @ 2016-03-11 21:38 UTC (permalink / raw)
  To: cygwin

[-- Attachment #1: Type: text/plain, Size: 80 bytes --]

Some file paths were not correctly escaped. Fix attached ("ssh-copy-id.patch").

[-- Attachment #2: ssh-copy-id.patch --]
[-- Type: application/octet-stream, Size: 1073 bytes --]

diff --git a/usr/bin/ssh-copy-id.old b/usr/bin/ssh-copy-id
index afde8b1..bef5c95 100755
--- a/usr/bin/ssh-copy-id.old
+++ b/usr/bin/ssh-copy-id
@@ -233,17 +233,17 @@ populate_new_ids() {
             -o ControlPath=none \
             -o LogLevel=INFO \
             -o PreferredAuthentications=publickey \
-            -o IdentitiesOnly=yes "$@" exit 2>$L_TMP_ID_FILE.stderr </dev/null
+            -o IdentitiesOnly=yes "$@" exit 2>"$L_TMP_ID_FILE.stderr" </dev/null
         if [ "$?" = "$L_SUCCESS" ] ; then
-          : > $L_TMP_ID_FILE
+          : > "$L_TMP_ID_FILE"
         else
-          grep 'Permission denied' $L_TMP_ID_FILE.stderr >/dev/null || {
-            sed -e 's/^/ERROR: /' <$L_TMP_ID_FILE.stderr >$L_TMP_ID_FILE
+          grep 'Permission denied' "$L_TMP_ID_FILE.stderr" >/dev/null || {
+            sed -e 's/^/ERROR: /' <"$L_TMP_ID_FILE.stderr" >"$L_TMP_ID_FILE"
             cat >/dev/null #consume the other keys, causing loop to end
           }
         fi
 
-        cat $L_TMP_ID_FILE
+        cat "$L_TMP_ID_FILE"
       done
     }
   )

[-- Attachment #3: Type: text/plain, Size: 218 bytes --]

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: Problem with ssh-copy-id when home folder contains spaces
  2016-03-11 21:38 Problem with ssh-copy-id when home folder contains spaces darkdragon
@ 2016-03-12 19:45 ` Corinna Vinschen
  2016-03-13 11:37   ` Corinna Vinschen
  0 siblings, 1 reply; 3+ messages in thread
From: Corinna Vinschen @ 2016-03-12 19:45 UTC (permalink / raw)
  To: cygwin

[-- Attachment #1: Type: text/plain, Size: 404 bytes --]

On Mar 11 22:38, darkdragon wrote:
> Some file paths were not correctly escaped. Fix attached ("ssh-copy-id.patch").

Thanks, since we're using the verbatim upstream OpenSSH sources,
I sent the patch upstream.  Hopefully they apply it.


Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Maintainer                 cygwin AT cygwin DOT com
Red Hat

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 819 bytes --]

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: Problem with ssh-copy-id when home folder contains spaces
  2016-03-12 19:45 ` Corinna Vinschen
@ 2016-03-13 11:37   ` Corinna Vinschen
  0 siblings, 0 replies; 3+ messages in thread
From: Corinna Vinschen @ 2016-03-13 11:37 UTC (permalink / raw)
  To: cygwin

[-- Attachment #1: Type: text/plain, Size: 551 bytes --]

On Mar 12 20:45, Corinna Vinschen wrote:
> On Mar 11 22:38, darkdragon wrote:
> > Some file paths were not correctly escaped. Fix attached ("ssh-copy-id.patch").
> 
> Thanks, since we're using the verbatim upstream OpenSSH sources,
> I sent the patch upstream.  Hopefully they apply it.

It will be in the next release:
https://bugzilla.mindrot.org/show_bug.cgi?id=2551


Thanks,
Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Maintainer                 cygwin AT cygwin DOT com
Red Hat

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 819 bytes --]

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2016-03-13 11:37 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2016-03-11 21:38 Problem with ssh-copy-id when home folder contains spaces darkdragon
2016-03-12 19:45 ` Corinna Vinschen
2016-03-13 11:37   ` Corinna Vinschen

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).